<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ProductService.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">qualitelogicieltp</a> &gt; <a href="index.source.html" class="el_package">fr.mds.qualitelogicieltp.services</a> &gt; <span class="el_source">ProductService.java</span></div><h1>ProductService.java</h1><pre class="source lang-java linenums">package fr.mds.qualitelogicieltp.services;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import fr.mds.qualitelogicieltp.entities.Product;
import fr.mds.qualitelogicieltp.repositories.ProductRepository;

@Service
<span class="fc" id="L12">public class ProductService {</span>

    @Autowired
    private ProductRepository myProductRepository;

    public Product save(Product item) {
<span class="fc" id="L18">        return this.myProductRepository.save(item);</span>
    }

    public void delete(Product item) {
<span class="fc" id="L22">        this.myProductRepository.delete(item);</span>
<span class="fc" id="L23">    }</span>

    public List&lt;Product&gt; findAll() {
<span class="fc" id="L26">        return this.myProductRepository.findAll();</span>
    }

    public Product getProductById(Long id) {
<span class="fc" id="L30">        return this.myProductRepository.getProductById(id);</span>
    }

    public void saveAll(List&lt;Product&gt; products) {
<span class="fc bfc" id="L34" title="All 2 branches covered.">        for (Product product : products) {</span>
<span class="fc" id="L35">            product.setId(myProductRepository.save(product).getId());</span>
<span class="fc" id="L36">        }</span>
<span class="fc" id="L37">    }</span>

}

</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>